Render Textile and Markdown files in the repository browser
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

It would be fine to render *.md in Reposotory -> View | Annotate with the redmine Markdown rendering-Engine.

Related issues:

Related to Redmine - Feature #29752: Render Textile and Markdown attachments ... Closed

Associated revisions

Revision 21013 - 2021-05-28 10:37 - Go MAEDA

Render Textile and Markdown files in the repository browser (#16849).

Patch by Takenori TAKAKI.

History

#1 - 2019-05-03 09:51 - Go MAEDA

- Related to Feature #29752: Render Textile and Markdown attachments on the preview page added

#2 - 2019-05-03 09:51 - Go MAEDA

- Subject changed from Add Mark-Downrendering in Reposotory -> View | Annotate  to Add Markdown rendering in Reposotory -> View | Annotate 

#3 - 2019-07-01 09:38 - Erik E

+1 That would be a great and very useful addition. I hope that #29752 will help this feature request.

#4 - 2021-04-29 08:40 - Adrien Crivelli

+1, I'd love to see this now that #29752 has landed, and with the increasing use of Markdown everywhere.

#5 - 2021-05-14 04:00 - Takenori TAKAKI

- File 16849.patch added

- File 16849-subversion_repository.dump.gz added

+1

I think this additional feature will be very useful.

'Anotate' would be better displayed as plain text like the Github 'blame' page.

（eg. https://github.com/ruby/ruby/blame/master/README.md）

I made a patch to preview Markdown and Textile, and attach it.

#6 - 2021-05-14 05:20 - Takenori TAKAKI

- File 16849-repository_subversion_test.patch added

#16849#note-5

I made a patch to preview Markdown and Textile, and attach it.

 When changing the repository data to 16849-subversion_repository.dump.gz, the unit test also needed to be changed.

I will post an additional patch.
#7 - 2021-05-25 10:15 - Go MAEDA

- File Screenshot_2021-05-25.png added

Takenori TAKAKI wrote:

I made a patch to preview Markdown and Textile, and attach it.

 Thank you for posting the patch.

I suggest adding the following small style changes:

Add surrounding border as same as #29752#note-7

Add some margin above the pagination buttons to prevent the border from overlapping with the pagination buttons

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index fca5f5647..d4361bc8c 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -789,7 +789,7 @@ span.pagination {margin-left:3px; color:#888; display:block;}

   font-weight: bold;

 }

 span.pagination>span {white-space:nowrap;}

-.controller-attachments.action-show span.pagination{

+.controller-attachments.action-show span.pagination, .controller-repositories.action-entry span.pagination {

   display: block;

   margin-top: 1.2em;

 }

@@ -1804,7 +1804,7 @@ img {

   max-width: 100%;

 }

-.filecontent-container > .filecontent.wiki {

+#content .filecontent.wiki {

   position: relative;

   padding: 1em;

   border: 1px solid #e4e4e4;

  Screenshot_2021-05-25.png 

#8 - 2021-05-25 10:16 - Go MAEDA

- Target version set to Candidate for next major release

#9 - 2021-05-27 11:16 - Go MAEDA

- File 16849-v2.patch added

- Subject changed from Add Markdown rendering in Reposotory -> View | Annotate  to Render Textile and Markdown files in the repository browser

- Category changed from Text formatting to SCM

- Target version changed from Candidate for next major release to 5.0.0

Applied #16849#note-7 to the patch.

Setting the target version to 5.0.0.

#10 - 2021-05-28 10:45 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

The repository browser now renders Textile and Markdown files.
Screenshot_2021-05-25.png 

Files

16849.patch 3.08 KB 2021-05-14 Takenori TAKAKI
16849-subversion_repository.dump.gz 113 KB 2021-05-14 Takenori TAKAKI

16849-repository_subversion_test.patch 1.22 KB 2021-05-14 Takenori TAKAKI

Screenshot_2021-05-25.png 30.8 KB 2021-05-25 Go MAEDA

16849-v2.patch 4.11 KB 2021-05-27 Go MAEDA
